config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.luks.new
( cd usr/lib ; rm -rf libcryptsetup.so )
( cd usr/lib ; ln -sf libcryptsetup.so.12.11.0 libcryptsetup.so )
( cd usr/lib ; rm -rf libcryptsetup.so.12 )
( cd usr/lib ; ln -sf libcryptsetup.so.12.11.0 libcryptsetup.so.12 )
( cd usr/sbin ; rm -rf cryptsetup )
( cd usr/sbin ; ln -sf ../../sbin/cryptsetup cryptsetup )
